// Code generated by go-swagger; DO NOT EDIT.

package images

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	"gitlab.com/apricotsoft/public/infrastructure/vmdap/internal/transports/http/codegen/models"
)

/*ImageStopDefault An unexpected error response

swagger:response imageStopDefault
*/
type ImageStopDefault struct {
	_statusCode int

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewImageStopDefault creates ImageStopDefault with default headers values
func NewImageStopDefault(code int) *ImageStopDefault {
	if code <= 0 {
		code = 500
	}

	return &ImageStopDefault{
		_statusCode: code,
	}
}

// WithStatusCode adds the status to the image stop default response
func (o *ImageStopDefault) WithStatusCode(code int) *ImageStopDefault {
	o._statusCode = code
	return o
}

// SetStatusCode sets the status to the image stop default response
func (o *ImageStopDefault) SetStatusCode(code int) {
	o._statusCode = code
}

// WithPayload adds the payload to the image stop default response
func (o *ImageStopDefault) WithPayload(payload *models.Error) *ImageStopDefault {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the image stop default response
func (o *ImageStopDefault) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *ImageStopDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(o._statusCode)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
